package org.dromara.system.service;

import org.dromara.system.domain.ZhxyShyj;
import org.dromara.system.domain.vo.ZhxyShyjVo;
import org.dromara.system.domain.bo.ZhxyShyjBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 智慧校园_审核意见Service接口
 *
 * @author boman
 * @date 2023-08-21
 */
public interface IZhxyShyjService {

    /**
     * 查询智慧校园_审核意见
     */
    ZhxyShyjVo queryById(Long id);

    /**
     * 查询智慧校园_审核意见列表
     */
    TableDataInfo<ZhxyShyjVo> queryPageList(ZhxyShyjBo bo, PageQuery pageQuery);

    /**
     * 查询智慧校园_审核意见列表
     */
    List<ZhxyShyjVo> queryList(ZhxyShyjBo bo);

    /**
     * 新增智慧校园_审核意见
     */
    Boolean insertByBo(ZhxyShyjBo bo);

    /**
     * 修改智慧校园_审核意见
     */
    Boolean updateByBo(ZhxyShyjBo bo);

    /**
     * 校验并批量删除智慧校园_审核意见信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
